function im = readmultiband(filename)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 2. Leitura da imagem multibanda e converso para valores de intensidade
%  O objectivo  trabalhar futuramente com as varias bandas e ignorar a
%  intensidade
%  im = readmultiband(filename)


%ler a informao sobre o ficheiro imagem 
info = imfinfo(filename);
formato='uint8=>double';
switch info.ByteOrder
    case 'little-endian'
        info.ByteOrder='ieee-le'; 
    case 'big-endian'
        info.ByteOrder='ieee-be';
end

im = multibandread(filename,[info.Height info.Width info.SamplesPerPixel],...
                    formato,0,'bip',info.ByteOrder);
% a funo multibandread parece ter um problemazito
im = im(:,[3:end,1:2],:);
